# Case, switch, match example
# Note: Python's match implementation was introduced in Python version 3.10

num = None
while num is None:
    try:
        num = int(input("Enter a number between 1 and 3: "))
    except:
        print("   Oops, that's not a number...")

match num:
    # match 1
    case 1:
        print("You entered One")
    # match 2
    case 2:
        print("You entered Two")
    # match 3
    case 3:
        print("You entered Three")
    # match default (i.e. no match)
    case _:
        print("You did not follow directions!")